gotrue 0.0.1
gotrue: ^0.0.1 copied to clipboard

A dart client library for the GoTrue API.

gotrue-dart #

Dart client for the GoTrue API.

pub package pub test

Using #

The usage should be the same as gotrue-js except:

Oauth2:

  • signIn with oauth2 provider only return provider url. Users have to launch that url to continue the auth flow. I recommend to use url_launcher package.
  • After receiving callback uri from oauth2 provider, use getSessionFromUrl to parse session data.

Persist/restore session:

  • No persist storage provided. Users can easily store session as json with any Flutter storage library.
  • Expose recoverSession method. It's used to recover session from a saved json string.

Contributing #

  • Fork the repo on GitHub
  • Clone the project to your own machine
  • Commit changes to your own branch
  • Push your work back up to your fork
  • Submit a Pull request so that we can review your changes and merge

License #

This repo is licensed under MIT.

Credits #

3
likes
100
pub points
84%
popularity

Publisher

supabase.io

A dart client library for the GoTrue API.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

http

More

Packages that depend on gotrue